## org.apache.poi.ss.usermodel
Interface CellRange<C extends Cell>

All Superinterfaces:
  java.lang.Iterable<C>

All Known Implementing Classes:
  SSCellRange

    public interface CellRange<C extends Cell>

extends java.lang.Iterable<C>

Represents a rectangular region of a `Sheet`

Author:
  Josh Micich

Method Summary
`C` `getCell(int relativeRowIndex, int relativeColumnIndex)`
`C[][]` `getCells()`
`C[]` `getFlattenedCells()`
`int` `getHeight()`
`java.lang.String` `getReferenceText()`
`C` `getTopLeftCell()`
`int` `getWidth()`
`java.util.Iterator<C>` `iterator()`
`int` `size()` Gets the number of cells in this range.

Method Detail

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### size

    int size()

  Gets the number of cells in this range.

  Returns:
    `height * width`

### getReferenceText

    java.lang.String getReferenceText()

### getTopLeftCell

    C getTopLeftCell()

  Returns:
    the cell at relative coordinates (0,0). Never `null`.

### getCell

    C getCell(int relativeRowIndex,
              int relativeColumnIndex)

  Parameters:
    `relativeRowIndex` - must be between `0` and `height-1`
    `relativeColumnIndex` - must be between `0` and `width-1`
  Returns:
    the cell at the specified coordinates. Never `null`.

### getFlattenedCells

    C[] getFlattenedCells()

  Returns:
    a flattened array of all the cells in this `CellRange`

### getCells

    C[][] getCells()

  Returns:
    a 2-D array of all the cells in this `CellRange`. The first array dimension is the row index (values `0...height-1`) and the second dimension is the column index (values `0...width-1`)

### iterator

    java.util.Iterator<C> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<C extends Cell>`
  Returns:
    an `Iterator` over all cells in this range. Iteration starts with all cells in the first row followed by all cells in the next row, etc.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.